
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>What were they thinking ? &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Did you call them autocrap tools ?" href="autocrap.html" />
    <link rel="prev" title="Security barriers in Varnish" href="barriers.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="autocrap.html" title="Did you call them autocrap tools ?"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="barriers.html" title="Security barriers in Varnish"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">What were they thinking ?</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="what-were-they-thinking">
<span id="phk-thoughts"></span><h1>What were they thinking ?<a class="headerlink" href="#what-were-they-thinking" title="Permalink to this headline">¶</a></h1>
<p>The reason I try to write these notes is the chinese wall.</p>
<p>Ever since I first saw it on a school-book map, I have been wondering
what the decision making process were like.</p>
<p>We would like to think that the emperor asked for ideas, and that
advisors came up with analyses, budgets, cost/benefit calculations
and project plans for various proposals, and that the emperor applied
his wisdom to choose the better idea.</p>
<p>But it could also be, that The Assistant to The Deputy Viceminister of
Northern Affairs, edged in sideways, at a carefully chosen time where
the emperor looked relaxed and friendly, and sort of happend to mention
that 50 villages had been sort of raided by the barbarians, hoping
for the reply, which would not be a career opportunity
for The Assistant to The Assistant to The Deputy Viceminister of
Northern Affairs.</p>
<p>And likely as not, the emperor absentmindedly grunted “Why don’t
you just build a wall to keep them out or something ?”  probably
wondering about the competence of an administration, which could
not figure out to build palisades around border villages without
bothering him and causing a monument to the Peter Principle and
Parkinssons Law to be built, which can be seen from orbit, and
possibly from the moon, if you bring your binoculars.</p>
<p>If somebody had written some notes, we might have known.</p>
<p>Poul-Henning, 2010-05-28</p>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="barriers.html"
                        title="previous chapter">Security barriers in Varnish</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="autocrap.html"
                        title="next chapter">Did you call them <em>autocrap</em> tools ?</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/phk/thoughts.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="autocrap.html" title="Did you call them autocrap tools ?"
             >next</a> |</li>
        <li class="right" >
          <a href="barriers.html" title="Security barriers in Varnish"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">What were they thinking ?</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>